Subject: Re: [PATCH] [PPC32] ADMA support for PPC 440SPe processors.

From: Stefan Roese <[email-masked]>
Date: Sat, 17 Mar 2007 09:09:13 +0100

Dan,

I just noticed that your patch "dmaengine: add the async_tx api":

@@ -22,6 +22,17 @@ config NET_DMA
 	  Since this is the main user of the DMA engine, it should be enabled;
 	  say Y here.
 
+config ASYNC_TX_DMA
+	tristate "Asynchronous Bulk Memory Transfers/Transforms API"
+	default y
+	---help---
+	  This enables the async_tx management layer for dma engines.
+	  Subsystems coded to this API will use offload engines for bulk
+	  memory operations where present.  Software implementations are
+	  called when a dma engine is not present or fails to allocate
+	  memory to carry out the transaction.
+	  Current subsystems ported to async_tx: MD_RAID4,5
+

adds ASYNC_TX_DMA unconditionally to _all_ platforms. You might what to bundle 
this with something like DMA_ENGINE.

Best regards,
Stefan